dpkg-0.0.3: libdpkg bindings

Safe Haskell | Safe
Language | Haskell2010

Debian.Dpkg.Types

# Documentation

data C'dpkg_version Source #

Constructors

C'dpkg_version |

Fields

- c'dpkg_version'epoch :: CInt
- c'dpkg_version'version :: CString
- c'dpkg_version'revision :: CString

Instances

Eq C'dpkg_version Source # |
Methods (==) :: C'dpkg_version -> C'dpkg_version -> Bool # (/=) :: C'dpkg_version -> C'dpkg_version -> Bool #
Show C'dpkg_version Source # |
Methods showsPrec :: Int -> C'dpkg_version -> ShowS # show :: C'dpkg_version -> String # showList :: [C'dpkg_version] -> ShowS #
Storable C'dpkg_version Source # |

Methods

sizeOf :: C'dpkg_version -> Int #

alignment :: C'dpkg_version -> Int #

peekElemOff :: Ptr C'dpkg_version -> Int -> IO C'dpkg_version #

pokeElemOff :: Ptr C'dpkg_version -> Int -> C'dpkg_version -> IO () #

peekByteOff :: Ptr b -> Int -> IO C'dpkg_version #

pokeByteOff :: Ptr b -> Int -> C'dpkg_version -> IO () #

peek :: Ptr C'dpkg_version -> IO C'dpkg_version #

poke :: Ptr C'dpkg_version -> C'dpkg_version -> IO () #

p'dpkg_version'epoch :: Ptr C'dpkg_version -> Ptr CInt Source #

p'dpkg_version'version :: Ptr C'dpkg_version -> Ptr CString Source #

data C'filedetails Source #

Constructors

C'filedetails |

Fields

- c'filedetails'next :: Ptr C'filedetails
- c'filedetails'name :: CString
- c'filedetails'msdosname :: CString
- c'filedetails'size :: CString
- c'filedetails'md5sum :: CString

Instances

Eq C'filedetails Source # |
Methods (==) :: C'filedetails -> C'filedetails -> Bool # (/=) :: C'filedetails -> C'filedetails -> Bool #
Show C'filedetails Source # |
Methods showsPrec :: Int -> C'filedetails -> ShowS # show :: C'filedetails -> String # showList :: [C'filedetails] -> ShowS #
Storable C'filedetails Source # |

Methods

sizeOf :: C'filedetails -> Int #

alignment :: C'filedetails -> Int #

peekElemOff :: Ptr C'filedetails -> Int -> IO C'filedetails #

pokeElemOff :: Ptr C'filedetails -> Int -> C'filedetails -> IO () #

peekByteOff :: Ptr b -> Int -> IO C'filedetails #

pokeByteOff :: Ptr b -> Int -> C'filedetails -> IO () #

peek :: Ptr C'filedetails -> IO C'filedetails #

poke :: Ptr C'filedetails -> C'filedetails -> IO () #

p'dpkg_version'revision :: Ptr C'dpkg_version -> Ptr CString Source #

data C'pkgbin Source #

Constructors

C'pkgbin |

Instances

Eq C'pkgbin Source # |
Methods (==) :: C'pkgbin -> C'pkgbin -> Bool # (/=) :: C'pkgbin -> C'pkgbin -> Bool #
Show C'pkgbin Source # |
Methods showsPrec :: Int -> C'pkgbin -> ShowS # show :: C'pkgbin -> String # showList :: [C'pkgbin] -> ShowS #
Storable C'pkgbin Source # |
Methods sizeOf :: C'pkgbin -> Int # alignment :: C'pkgbin -> Int # peekElemOff :: Ptr C'pkgbin -> Int -> IO C'pkgbin # pokeElemOff :: Ptr C'pkgbin -> Int -> C'pkgbin -> IO () # peekByteOff :: Ptr b -> Int -> IO C'pkgbin # pokeByteOff :: Ptr b -> Int -> C'pkgbin -> IO () # peek :: Ptr C'pkgbin -> IO C'pkgbin # poke :: Ptr C'pkgbin -> C'pkgbin -> IO () #

data C'perpackagestate Source #

Constructors

C'perpackagestate |

type C'pkgwant = CUInt Source #

type C'pkgeflag = CUInt Source #

p'filedetails'next :: Ptr C'filedetails -> Ptr (Ptr C'filedetails) Source #

type C'pkgstatus = CUInt Source #

type C'pkgpriority = CInt Source #

p'filedetails'name :: Ptr C'filedetails -> Ptr CString Source #

data C'pkgiterator Source #

Constructors

C'pkgiterator |

p'filedetails'msdosname :: Ptr C'filedetails -> Ptr CString Source #

p'filedetails'size :: Ptr C'filedetails -> Ptr CString Source #

p'filedetails'md5sum :: Ptr C'filedetails -> Ptr CString Source #

data C'pkginfo Source #

Constructors

C'pkginfo |

Fields

- c'pkginfo'set :: Ptr C'pkgset
- c'pkginfo'arch_next :: Ptr C'pkginfo
- c'pkginfo'want :: C'pkgwant
- c'pkginfo'eflag :: C'pkgeflag
- c'pkginfo'status :: C'pkgstatus
- c'pkginfo'priority :: C'pkgpriority
- c'pkginfo'otherpriority :: CString
- c'pkginfo'section :: CString
- c'pkginfo'configversion :: C'dpkg_version
- c'pkginfo'files :: Ptr C'filedetails
- c'pkginfo'installed :: C'pkgbin
- c'pkginfo'available :: C'pkgbin
- c'pkginfo'clientdata :: Ptr C'perpackagestate

Instances

Eq C'pkginfo Source # |
Methods (==) :: C'pkginfo -> C'pkginfo -> Bool # (/=) :: C'pkginfo -> C'pkginfo -> Bool #
Show C'pkginfo Source # |
Methods showsPrec :: Int -> C'pkginfo -> ShowS # show :: C'pkginfo -> String # showList :: [C'pkginfo] -> ShowS #
Storable C'pkginfo Source # |
Methods sizeOf :: C'pkginfo -> Int # alignment :: C'pkginfo -> Int # peekElemOff :: Ptr C'pkginfo -> Int -> IO C'pkginfo # pokeElemOff :: Ptr C'pkginfo -> Int -> C'pkginfo -> IO () # peekByteOff :: Ptr b -> Int -> IO C'pkginfo # pokeByteOff :: Ptr b -> Int -> C'pkginfo -> IO () # peek :: Ptr C'pkginfo -> IO C'pkginfo # poke :: Ptr C'pkginfo -> C'pkginfo -> IO () #

data C'pkgset Source #

Constructors

C'pkgset |

Fields

- c'pkgset'next :: Ptr C'pkgset
- c'pkgset'name :: CString
- c'pkgset'pkg :: C'pkginfo

Instances

Eq C'pkgset Source # |
Methods (==) :: C'pkgset -> C'pkgset -> Bool # (/=) :: C'pkgset -> C'pkgset -> Bool #
Show C'pkgset Source # |
Methods showsPrec :: Int -> C'pkgset -> ShowS # show :: C'pkgset -> String # showList :: [C'pkgset] -> ShowS #
Storable C'pkgset Source # |
Methods sizeOf :: C'pkgset -> Int # alignment :: C'pkgset -> Int # peekElemOff :: Ptr C'pkgset -> Int -> IO C'pkgset # pokeElemOff :: Ptr C'pkgset -> Int -> C'pkgset -> IO () # peekByteOff :: Ptr b -> Int -> IO C'pkgset # pokeByteOff :: Ptr b -> Int -> C'pkgset -> IO () # peek :: Ptr C'pkgset -> IO C'pkgset # poke :: Ptr C'pkgset -> C'pkgset -> IO () #

type C'dpkg_msg_type = CUInt Source #

p'pkgset'next :: Ptr C'pkgset -> Ptr (Ptr C'pkgset) Source #

data C'dpkg_error Source #

Constructors

C'dpkg_error |

Fields

- c'dpkg_error'type :: C'dpkg_msg_type
- c'dpkg_error'str :: CString

Instances

Eq C'dpkg_error Source # |
Methods (==) :: C'dpkg_error -> C'dpkg_error -> Bool # (/=) :: C'dpkg_error -> C'dpkg_error -> Bool #
Show C'dpkg_error Source # |
Methods showsPrec :: Int -> C'dpkg_error -> ShowS # show :: C'dpkg_error -> String # showList :: [C'dpkg_error] -> ShowS #
Storable C'dpkg_error Source # |

Methods

sizeOf :: C'dpkg_error -> Int #

alignment :: C'dpkg_error -> Int #

peekElemOff :: Ptr C'dpkg_error -> Int -> IO C'dpkg_error #

pokeElemOff :: Ptr C'dpkg_error -> Int -> C'dpkg_error -> IO () #

peekByteOff :: Ptr b -> Int -> IO C'dpkg_error #

pokeByteOff :: Ptr b -> Int -> C'dpkg_error -> IO () #

peek :: Ptr C'dpkg_error -> IO C'dpkg_error #

poke :: Ptr C'dpkg_error -> C'dpkg_error -> IO () #

p'pkgset'name :: Ptr C'pkgset -> Ptr CString Source #

p'pkgset'pkg :: Ptr C'pkgset -> Ptr C'pkginfo Source #

p'pkginfo'set :: Ptr C'pkginfo -> Ptr (Ptr C'pkgset) Source #

p'pkginfo'arch_next :: Ptr C'pkginfo -> Ptr (Ptr C'pkginfo) Source #

p'dpkg_error'type :: Ptr C'dpkg_error -> Ptr C'dpkg_msg_type Source #

p'pkginfo'want :: Ptr C'pkginfo -> Ptr C'pkgwant Source #

p'dpkg_error'str :: Ptr C'dpkg_error -> Ptr CString Source #

p'pkginfo'eflag :: Ptr C'pkginfo -> Ptr C'pkgeflag Source #

p'pkginfo'status :: Ptr C'pkginfo -> Ptr C'pkgstatus Source #

p'pkginfo'priority :: Ptr C'pkginfo -> Ptr C'pkgpriority Source #

p'pkginfo'otherpriority :: Ptr C'pkginfo -> Ptr CString Source #

p'pkginfo'section :: Ptr C'pkginfo -> Ptr CString Source #

p'pkginfo'configversion :: Ptr C'pkginfo -> Ptr C'dpkg_version Source #

p'pkginfo'files :: Ptr C'pkginfo -> Ptr (Ptr C'filedetails) Source #

p'pkginfo'installed :: Ptr C'pkginfo -> Ptr C'pkgbin Source #

p'pkginfo'available :: Ptr C'pkginfo -> Ptr C'pkgbin Source #

p'pkginfo'clientdata :: Ptr C'pkginfo -> Ptr (Ptr C'perpackagestate) Source #